Annotations(3pm)

NAME
App::perlimports::Annotations - Find line ranges where perlimports has been disabled

VERSION
version 0.000060

SYNOPSIS
    my $anno = App::perlimports::Annotations->new(
        ppi_document => $ppi_doc
    );

    print 'skip include' if $anno->is_ignored( $ppi_element );

  is_ignored( $ppi_element )
Returns true if the provided PPI::Element is in an ignored line range.

AUTHOR
Olaf Alders <olaf@wundercounter.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Olaf Alders.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.